{
    name: "Meloflite",
    spritenum: -618,
    megaStone: {
        "Melofly": "Melofly-Mega"
    },
    itemUser: ["Melofly"],
    onTakeItem(item, source) {
    	return !item.megaStone?.[source.baseSpecies.baseSpecies];
    },
    num: -712,
    gen: 6
}